at.chipkarte.client.elgaad.soap

## Class ExpositionsrisikoPersonengruppe

- Object
- - at.chipkarte.client.elgaad.soap.ExpositionsrisikoPersonengruppe

-     public class ExpositionsrisikoPersonengruppe
      extends Object

  Gibt an, welche Impfungen aufgrund der Zugehörigkeit des zu Impfenden zu einer bestimmten Personengruppe zu beachten sind. Zum Beispiel: Gesundheitsberufe, Auslandsaufenthalte, ...

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExpositionsrisikoPersonengruppe()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DokumentReferenz` | `getAktualisiertesDokument()` Referenz auf das Dokument, mit dem diese Information ursprünglich gespeichert wurde.
    `AuthorBody` | `getAuthor()` Autor.
    `Code` | `getExpositionsrisiko()` Expositionsrisiko.
    `String` | `getGiltAb()` Zeitpunkt, ab dem die Zugehörigkeit besteht.
    `String` | `getGiltBis()` Zeitpunkt, ab dem die Zugehörigkeit nicht mehr besteht.
    `String` | `getStatus()` Angabe des Status.
    `String` | `getText()` Kommentartext.
    `void` | `setAktualisiertesDokument(DokumentReferenz aktualisiertesDokument)`
    `void` | `setAuthor(AuthorBody author)`
    `void` | `setExpositionsrisiko(Code expositionsrisiko)`
    `void` | `setGiltAb(String giltAb)`
    `void` | `setGiltBis(String giltBis)`
    `void` | `setStatus(String status)`
    `void` | `setText(String text)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExpositionsrisikoPersonengruppe

          public ExpositionsrisikoPersonengruppe()

  - ### Method Detail

    - #### getGiltAb

          public String getGiltAb()

      Zeitpunkt, ab dem die Zugehörigkeit besteht.
      Angabe: Muss.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Gilt ab

    - #### setGiltAb

          public void setGiltAb(String giltAb)

    - #### getGiltBis

          public String getGiltBis()

      Zeitpunkt, ab dem die Zugehörigkeit nicht mehr besteht.
      Angabe: Kann.
      Format: 10 stellig im Format `TT.MM.JJJJ` oder 19 stellig im Format `TT.MM.JJJJ hh:mm:ss`
      Returns:
        Gilt bis

    - #### setGiltBis

          public void setGiltBis(String giltBis)

    - #### getAuthor

          public AuthorBody getAuthor()

      Autor. Siehe `AuthorBody`.
      Angabe: Kann.
      Returns:
        Autor.

    - #### setAuthor

          public void setAuthor(AuthorBody author)

    - #### getExpositionsrisiko

          public Code getExpositionsrisiko()

      Expositionsrisiko. Siehe `Code`.
      Angabe: Muss.
      mögliche Werte: siehe Terminologieserver ValueSets eImpf_SpecialSituationIndication_VS
      Returns:
        Expositionsrisiko

    - #### setExpositionsrisiko

          public void setExpositionsrisiko(Code expositionsrisiko)

    - #### getStatus

          public String getStatus()

      Angabe des Status.
      Mögliche Werte: Siehe `StatusConstants`.
      Angabe: Muss.
      Returns:
        ValueType

    - #### setStatus

          public void setStatus(String status)

    - #### getAktualisiertesDokument

          public DokumentReferenz getAktualisiertesDokument()

      Referenz auf das Dokument, mit dem diese Information ursprünglich gespeichert wurde. Siehe `DokumentReferenz`.
      Angabe: Keine Eingabe erlaubt. Nur für die Ausgabe.
      Returns:
        Referenz auf das Dokument

    - #### setAktualisiertesDokument

          public void setAktualisiertesDokument(DokumentReferenz aktualisiertesDokument)

    - #### getText

          public String getText()

      Kommentartext.
      Angabe: Kann.
      Returns:
        Text

    - #### setText

          public void setText(String text)